## org.apache.mahout.ga.watchmaker.cd
Class CDGA

    java.lang.Object
      org.apache.mahout.ga.watchmaker.cd.CDGA

    public final class CDGA

extends Object

Class Discovery Genetic Algorithm main class. Has the following parameters:

- threshold
  Condition activation threshold. See Also `CDRule`
- nb cross point
  Number of points used by the`CrossOver` operator
- mutation rate
  mutation rate of the `Mutation` operator
- mutation range
  mutation range of the `Mutation` operator
- mutation precision
  mutation precision of the `Mutation` operator
- population size
- generations count
  number of generations the genetic algorithm will be run for.

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws IOException,
                            InterruptedException,
                            ClassNotFoundException

  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.